• Article for your preferred language does not exist. Below is international version of the article.

Article ID: 120951, created on Apr 8, 2014, last review on May 11, 2014

  • Applies to:
  • Plesk Automation 11.1

Symptoms

1) PPA upgrade to PPA 11.5 fails with error:

    Backing up POA database to '/usr/local/ppa/tmp/ppa-upgrade-db-backups/2014-04-07-15-16-07/poa-db-backup.sql'
    [ERROR]: Failed to execute command: pg_dump -h`hostname` -U plesk plesk > /usr/local/ppa/tmp/ppa-upgrade-db-backups/2014-04-07-15-16-07/poa-db-backup.sql

2) When you try to execute pb_dump manually, you may receive the following error:

    [root@test]# pg_dump -h`hostname` -U plesk plesk > bakckup.sql

    pg_dump: server version: 9.0.4; pg_dump version: 8.1.23
    pg_dump: aborting because of version mismatch  (Use the -i option to proceed anyway.)

Cause

pg_dump file is not valid or for different PostgreSQL version.

Resolution

Check /usr/bin/pg_dump file, it should be the link to /etc/alternatives/pgsql-pg_dump.

    [root@test]# ls -la /usr/bin/pg_dump
    lrwxrwxrwx 1 root root 31 mar 29  2013 /usr/bin/pg_dump -> /etc/alternatives/pgsql-pg_dump

If you see that file is not link or has different size, rename it and create link to /etc/alternatives/pgsql-pg_dump:

    [root@test]# mv /usr/bin/pg_dump /usr/bin/pg_dump_old
    [root@test]# ln -s /etc/alternatives/pgsql-pg_dump /usr/bin/pg_dump
    [root@test]# ls -la /usr/bin/pg_dump
    lrwxrwxrwx 1 root root 31 Apr  8 01:56 /usr/bin/pg_dump -> /etc/alternatives/pgsql-pg_dump

Try to backup Plesk database once again to confirm that error is not produced anymore:

    [root@test]# pg_dump -h`hostname` -U plesk plesk > bakckup.sql

Search Words

upgrade from ppa 11.16 to 11.5

Upgrade from PPA 11.16 to 11.5

c1ecc6010feff26cb42d1d14a7881dd6 e0aff7830fa22f92062ee4db78133079 caea8340e2d186a540518d08602aa065

Email subscription for changes to this article
Save as PDF